Journal des modifications
Release 8.1
RDTP-16384
What's Deprecated
GET /partners/mine/bss/alarms/histories
Retrieve alarms history of all base stations
RDTP-23647
What's Changed
POST /partners/mine/bss
Request:
- Added property
lrrID(object)Base Station LRR ID: 8 hexadecimal characters / case insensitive but always converted in upper case by the server. The value
00000000and the prefixesFFFEandFFFFare reserved and forbidden.The LRR ID is automatically allocated and returned in the POST response. The LRR ID may also be provided in the POST request but this mode is not recommended and requires a system-wide activation to be available.
RDTP-23694
What's Changed
GET /partners/{partnerUid}/licenses
Retrieve the license
Return Type:
Changed response : 200 OK
-
Added property
usedBaseStations(integer)Number of Base Stations consuming license credits
-
Added property
usedDevices(integer)Number of Devices consuming license credits
POST /partners/{partnerUid}/licenses
Upload a license file
Return Type:
Changed response : 201 Created
-
Added property
usedBaseStations(integer)Number of Base Stations consuming license credits
-
Added property
usedDevices(integer)Number of Devices consuming license credits
RDTP-23884
What's Changed
GET /partners/mine
Retrieve Partner
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Added property
showTagSuggestionsWhenDomainRestrictions(boolean)When false, tag suggestions cannot be retrieved by users having domain restrictions for confidentiality purposes.
PUT /partners/mine
Update Partner
Request:
- Added property
showTagSuggestionsWhenDomainRestrictions(boolean)When false, tag suggestions cannot be retrieved by users having domain restrictions for confidentiality purposes.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Added property
showTagSuggestionsWhenDomainRestrictions(boolean)When false, tag suggestions cannot be retrieved by users having domain restrictions for confidentiality purposes.
POST /partners/mine/bss/tags
200 OK is returned if
action=UNTAGand the tag does not exist
GET /partners/mine/bss/tags/suggestions
No results are returned if the authenticated user has domain restrictions and
showTagSuggestionsWhenDomainRestrictionsis false.
RDTP-25290
What's Changed
GET /partners/mine/bss
Retrieve base stations
Parameters:
Added: pageAfter in query
Returns the page following the provided cursor. Cursor strings typically end with the
=character. It must be encoded as%3D. Only supported if sort by LRR ID is used.
Changed: sort in query
The following sort criteria is added:
lrrID: by LRR ID
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Added property
cursors(object)- Property
last(string)Cursor of the last item of the current page. This cursor can be used to retrieve the next page using
pageAfterquery parameter.Only returned if sort by LRR ID is used and a next page exists.
- Property
-
Changed property
count(integer)Total number of matching base stations. Only returned with the first page of results.
GET /partners/mine/bss/alarms
Retrieve alarms of all base stations
Parameters:
Added: pageAfter in query
Returns the page following the provided cursor. Cursor strings typically end with the
=character. It must be encoded as%3D. Only supported if sort by alarm Uid is used.
Changed: sort in query
The following sort criteria is added:
alarmUid: by alarm Uid
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Added property
cursors(object)- Property
last(string)Cursor of the last item of the current page. This cursor can be used to retrieve the next page using
pageAfterquery parameter.Only returned if sort by alarm Uid is used and a next page exists.
- Property
-
Changed property
count(integer)Total number of matching alarms. Only returned with the first page of results.
RDTP-25958
What's New
GET /partners/mine/bss/{bsUid}/operationalLogs
Retrieve the operational logs of a base station
POST /partners/mine/bss/{bsUid}/operationalLogs
Add an operational log to a base station
GET /partners/mine/bss/{bsUid}/operationalLogs/{operationalLogUid}
Retrieve an operational log of a base station
PUT /partners/mine/bss/{bsUid}/operationalLogs/{operationalLogUid}
Update an operational log of a base station
DELETE /partners/mine/bss/{bsUid}/operationalLogs/{operationalLogUid}
Remove an operational log from a base station
What's Changed
GET /partners/mine/bss
Retrieve base stations
Parameters:
Changed: query in query
Search base stations having one of the following fields containing the provided term: (prefix match)
lrrIDlrrUUIDnamesiteIDsmnmacAddress
%can be used as a wildcard to match any string of 0 or more characters.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
briefs(array)Changed items (object):
-
Added property
siteID(string)Site identifier of the base station
-
Added property
smn(string)BS serial marketing number
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
-
POST /partners/mine/bss
Add a base station
Request:
-
Added property
siteID(string)Site identifier of the base station
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
Return Type:
Changed response : 201 Created
Successful CREATE
-
Added property
siteID(string)Site identifier of the base station
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
GET /partners/mine/bss/clusters
Retrieve base stations clusters
Parameters:
Changed: query in query
Search base stations having one of the following fields containing the provided term: (prefix match)
lrrIDlrrUUIDnamesiteIDsmnmacAddress
%can be used as a wildcard to match any string of 0 or more characters.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
clusters(array)Changed items (object):
A group a base stations close to each other.
-
Changed property
item(object)-
Added property
siteID(string)Site identifier of the base station
-
Added property
smn(string)BS serial marketing number
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
-
-
GET /partners/mine/bss/{bsUid}
Retrieve a base station
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Added property
siteID(string)Site identifier of the base station
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
PUT /partners/mine/bss/{bsUid}
Update a base station
Request:
-
Added property
siteID(string)Site identifier of the base station
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
-1 is used to clear the attribute
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Added property
siteID(string)Site identifier of the base station
-
Added property
macAddress(string)MAC address of the base station
-
Added property
installationDate(integer)Installation date, epoch time in milliseconds
RDTP-26008
What's Changed
GET /partners/mine/bsProfiles
Retrieve BsProfiles
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
briefs(array)Changed items (object):
-
Changed property
softwareType(string)Type of software executed on the Base Station:
- LRR_LINUX: Actility LRR on Linux OS
- BASIC_STATION_LINUX: Semtech Basic Station on Linux OS
- LRR_FREERTOS: Actility LRR on FreeRTOS
- SEMTECH_UDP: Semtech legacy UDP packet forwarder
Added enum value:
SEMTECH_UDP
-
POST /partners/mine/bss
Create Bs
Return Type:
Changed response : 201 Created
Successful UPDATE or RETRIEVE
-
Changed property
model(object)-
Changed property
softwareType(string)Type of software executed on the Base Station:
- LRR_LINUX: Actility LRR on Linux OS
- BASIC_STATION_LINUX: Semtech Basic Station on Linux OS
- LRR_FREERTOS: Actility LRR on FreeRTOS
- SEMTECH_UDP: Semtech legacy UDP packet forwarder
Added enum value:
SEMTECH_UDP
-
-
Changed property
bsSecurity(object)- Changed property
type(string)Only
DISABLEis supported ifmodel.softwareType = 'SEMTECH_UDP'even ifdefaultBsSecurityisIPSEC_X509_M.
- Changed property
GET /partners/mine/bss/{bsUid}
Retrieve Bs
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
model(object)-
Changed property
softwareType(string)Type of software executed on the Base Station:
- LRR_LINUX: Actility LRR on Linux OS
- BASIC_STATION_LINUX: Semtech Basic Station on Linux OS
- LRR_FREERTOS: Actility LRR on FreeRTOS
- SEMTECH_UDP: Semtech legacy UDP packet forwarder
Added enum value:
SEMTECH_UDP
-
PUT /partners/mine/bss/{bsUid}
Update Bs
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
model(object)-
Changed property
softwareType(string)Type of software executed on the Base Station:
- LRR_LINUX: Actility LRR on Linux OS
- BASIC_STATION_LINUX: Semtech Basic Station on Linux OS
- LRR_FREERTOS: Actility LRR on FreeRTOS
- SEMTECH_UDP: Semtech legacy UDP packet forwarder
Added enum value:
SEMTECH_UDP
-
-
Changed property
bsSecurity(object)- Changed property
type(string)Only
DISABLEis supported ifmodel.softwareType = 'SEMTECH_UDP'even ifdefaultBsSecurityisIPSEC_X509_M.
- Changed property
RDTP-3399
What's New
GET /partners/mine/bss/{bsUid}/rfProbe
Retrieve the RF probe configuration of a base station
PUT /partners/mine/bss/{bsUid}/rfProbe
Update the RF probe configuration of a base station
GET /partners/mine/bss/{bsUid}/rfProbe/frames
Retrieve the radio traffic history of a base station RF probe
What's Changed
GET /partners/mine/bss
Retrieve base stations
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
briefs(array)Changed items (object):
-
Added property
rfProbe(object)- Property
enabled(boolean)True if the RF probe is enabled for this base station
- Property
-
GET /partners/mine/bss/clusters
Retrieve base stations clusters
Return Type:
Changed response : 200 OK
Successful RETRIEVE
-
Changed property
clusters(array)Changed items (object):
A group a base stations close to each other.
-
Changed property
item(object)-
Added property
rfProbe(object)- Property
enabled(boolean)True if the RF probe is enabled for this base station
- Property
-
-
Release 8.0
RDTP-14487
What's Changed
GET|PUT /partners/mine
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Changed property
partner(object)-
Added property
grantedPermissions(array)Items (string):
Enum values:
xararcs1
-
Added property
domainRestrictions(object)User's domain restrictions:
- If no domain restrictions are defined, the user can access all cross-domain resources and all domain-specific resources
- Else, the user can access all cross-domain resources and only domain-specific resources matching the domain restrictions
-
Property
and(array)A resource matches if it matches all
anditems.Items (object):
A resource matches if it is associated with a domain satisfying the following requirements:
- The group name of the resource domain is
group.name(exact match) - If
typeisPREFIX:- The name of the resource domain is prefixed with
name
- The name of the resource domain is prefixed with
- Else: (
typeisFULL)- The name of the resource domain is
name(exact match)
- The name of the resource domain is
-
Property
type(string)Type of domain restriction:
FULL: restriction on full domainPREFIX: restriction on domain prefix
Enum values:
FULLPREFIX
-
Property
name(string)Name of the full domain or domain prefix
-
Property
group(object)Domain group associated with the domain restriction
- Property
name(string)Name of the domain group
- Property
- The group name of the resource domain is
-
RDTP-18707
What's Changed
POST /partners/mine/bss
Request:
-
Added property
alarmsConfiguration(object)-
Property
alarm102(array)Configuration of the base station connection status alarm (102)
Items (object):
Each item defines a threshold for the triggering of the alarm. If
alarm102property is null or not set at base station creation, 1 threshold is configured by default to trigger the alarm with a CRITICAL severity after 30 seconds of base station disconnection. A maximum of 1 threshold can be configured.-
Property
duration(string)ISO 8601 duration of the base station disconnection before triggering the alarm for this threshold.
The maximum duration is 24 hours.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
-
-
Property
alarm103(array)Configuration of the base station no uplink activity alarm (103)
Items (object):
Each item defines a threshold for the triggering of the alarm. By default, no threshold is configured. A maximum of 2 thresholds can be configured. When 2 thresholds are configured:
- The
durationof the second threshold must be higher than the first one. - The
severityof the second threshold must be higher than the first one.
-
Property
duration(string)ISO 8601 duration of the base station no uplink activity before triggering the alarm for this threshold.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
- The
-
-
Deprecated property
alarm103(string)
Return Type:
Changed response : 201 Created
New required property:
alarmsConfiguration
-
Added property
alarmsConfiguration(object)-
Property
alarm102(array)Configuration of the base station connection status alarm (102)
Items (object):
Each item defines a threshold for the triggering of the alarm. If
alarm102property is null or not set at base station creation, 1 threshold is configured by default to trigger the alarm with a CRITICAL severity after 30 seconds of base station disconnection. A maximum of 1 threshold can be configured.-
Property
duration(string)ISO 8601 duration of the base station disconnection before triggering the alarm for this threshold.
The maximum duration is 24 hours.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
-
-
Property
alarm103(array)Configuration of the base station no uplink activity alarm (103)
Items (object):
Each item defines a threshold for the triggering of the alarm. By default, no threshold is configured. A maximum of 2 thresholds can be configured. When 2 thresholds are configured:
- The
durationof the second threshold must be higher than the first one. - The
severityof the second threshold must be higher than the first one.
-
Property
duration(string)ISO 8601 duration of the base station no uplink activity before triggering the alarm for this threshold.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
- The
-
-
Deprecated property
alarm103(string)
GET /partners/mine/bss/{bsUid}
Return Type:
Changed response : 200 OK
New required property:
alarmsConfiguration
-
Added property
alarmsConfiguration(object)-
Property
alarm102(array)Configuration of the base station connection status alarm (102)
Items (object):
Each item defines a threshold for the triggering of the alarm. If
alarm102property is null or not set at base station creation, 1 threshold is configured by default to trigger the alarm with a CRITICAL severity after 30 seconds of base station disconnection. A maximum of 1 threshold can be configured.-
Property
duration(string)ISO 8601 duration of the base station disconnection before triggering the alarm for this threshold.
The maximum duration is 24 hours.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
-
-
Property
alarm103(array)Configuration of the base station no uplink activity alarm (103)
Items (object):
Each item defines a threshold for the triggering of the alarm. By default, no threshold is configured. A maximum of 2 thresholds can be configured. When 2 thresholds are configured:
- The
durationof the second threshold must be higher than the first one. - The
severityof the second threshold must be higher than the first one.
-
Property
duration(string)ISO 8601 duration of the base station no uplink activity before triggering the alarm for this threshold.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
- The
-
-
Deprecated property
alarm103(string)
PUT /partners/mine/bss/{bsUid}
Request:
-
Added property
alarmsConfiguration(object)-
Property
alarm102(array)Configuration of the base station connection status alarm (102)
Items (object):
Each item defines a threshold for the triggering of the alarm. If
alarm102property is null or not set at base station creation, 1 threshold is configured by default to trigger the alarm with a CRITICAL severity after 30 seconds of base station disconnection. A maximum of 1 threshold can be configured.-
Property
duration(string)ISO 8601 duration of the base station disconnection before triggering the alarm for this threshold.
The maximum duration is 24 hours.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
-
-
Property
alarm103(array)Configuration of the base station no uplink activity alarm (103)
Items (object):
Each item defines a threshold for the triggering of the alarm. By default, no threshold is configured. A maximum of 2 thresholds can be configured. When 2 thresholds are configured:
- The
durationof the second threshold must be higher than the first one. - The
severityof the second threshold must be higher than the first one.
-
Property
duration(string)ISO 8601 duration of the base station no uplink activity before triggering the alarm for this threshold.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
- The
-
-
Deprecated property
alarm103(string)
Return Type:
Changed response : 200 OK
New required property:
alarmsConfiguration
-
Added property
alarmsConfiguration(object)-
Property
alarm102(array)Configuration of the base station connection status alarm (102)
Items (object):
Each item defines a threshold for the triggering of the alarm. If
alarm102property is null or not set at base station creation, 1 threshold is configured by default to trigger the alarm with a CRITICAL severity after 30 seconds of base station disconnection. A maximum of 1 threshold can be configured.-
Property
duration(string)ISO 8601 duration of the base station disconnection before triggering the alarm for this threshold.
The maximum duration is 24 hours.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
-
-
Property
alarm103(array)Configuration of the base station no uplink activity alarm (103)
Items (object):
Each item defines a threshold for the triggering of the alarm. By default, no threshold is configured. A maximum of 2 thresholds can be configured. When 2 thresholds are configured:
- The
durationof the second threshold must be higher than the first one. - The
severityof the second threshold must be higher than the first one.
-
Property
duration(string)ISO 8601 duration of the base station no uplink activity before triggering the alarm for this threshold.
-
Property
severity(integer)Severity of the alarm for this threshold:
- 6: CRITICAL
- 5: MAJOR
- 4: MINOR
- 3: WARNING
- 2: INDETERMINATE
- The
-
-
Deprecated property
alarm103(string)
GET /partners/mine/bss/alarms
GET /partners/mine/bss/alarms/histories
GET /partners/mine/bss/{bsUid}/alarms
GET /partners/mine/bss/{bsUid}/alarms/histories
Return Type:
Changed response : 200 OK
New additional information elements are defined:
- Alarm 104: Unusually high level of invalid uplink physical CRC
addInfo2: percentage of invalid uplink frames during the last 4 hours
- Alarm 105: Downlink frame rate exceeds the RF cell capacity
addInfo2: percentage of dropped downlink frames during the last hour
- Alarm 106: Unusually high CPU usage level
addInfo2: average CPU usage in percentage during the last hour
- Alarm 107: Unusually high RAM usage level
addInfo2: average RAM usage in percentage during the last hour
- Alarm 108: Unusually high file system usage level
addInfo2: average file system usage in percentage during the last hour
- Alarm 111: Beacon transmission failure
addInfo2: percentage of beacon failures on the last hour
Existing additional information elements are deprecated:
- Alarm 104: Unusually high level of invalid uplink physical CRC
addInfo: number of invalid uplink frames during the last 4 hours
- Alarm 105: Downlink frame rate exceeds the RF cell capacity
addInfo: number of dropped downlink frames during the last hour
- Alarm 111: Beacon transmission failure
addInfo: last beacon delivery failure cause
RDTP-22321
What's New
POST /partners/mine/bss/{bsUid}/admins/changeSupportPassword
Change the support password of a base station
What's Changed
POST /partners/mine/bss
Return Type:
Changed response : 201 Created
Successful UPDATE or RETRIEVE
-
Added property
supportPassword(object)The base station support account is used to establish remote sessions. The authentication relies on a password that can be customized for each individual base station.
Only applicable if the base station executes the Actility LRR software (
model.softwareType = 'LRR_LINUX')- Property
lastChanged(integer)Date of the last change of the support password, epoch time in milliseconds. Only returned if the support password has been successfully customized for this base station.
- Property
GET /partners/mine/bss/{bsUid}
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Added property
supportPassword(object)The base station support account is used to establish remote sessions. The authentication relies on a password that can be customized for each individual base station.
Only applicable if the base station executes the Actility LRR software (
model.softwareType = 'LRR_LINUX')- Property
lastChanged(integer)Date of the last change of the support password, epoch time in milliseconds. Only returned if the support password has been successfully customized for this base station.
- Property
PUT /partners/mine/bss/{bsUid}
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
-
Added property
supportPassword(object)The base station support account is used to establish remote sessions. The authentication relies on a password that can be customized for each individual base station.
Only applicable if the base station executes the Actility LRR software (
model.softwareType = 'LRR_LINUX')- Property
lastChanged(integer)Date of the last change of the support password, epoch time in milliseconds. Only returned if the support password has been successfully customized for this base station.
- Property
GET /partners/mine/bss/{bsUid}/admins/lastCmdStatus
Return Type:
Changed response : 200 OK
Successful RETRIEVE
- Changed property
lastCmdType(string)Added new command type:
CHANGE_SUPPORT_PASSWORD: change the support account's password
RDTP-23153
What's Changed
POST /partners/mine/bss
Request:
New required properties:
lrrUUID
- Deleted property
lrrID(object)Base Station LRR ID: 8 hexadecimal characters in upper case.
RDTP-23309
What's Changed
GET /partners/mine
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
PUT /partners/mine
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss
Return Type:
Changed response : 201 Created
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
GET /partners/mine/bss/{bsUid}
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
PUT /partners/mine/bss/{bsUid}
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/backup
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/cancelRadioScan
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/closeSsh
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/downloadLrrVersion
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/openSsh
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/openTerminal
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/reboot
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/restart
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/restore
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/rfcDownlinkStop
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/rfcStart
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/rfcStop
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/scanRadio
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
PUT /partners/mine/bss/{bsUid}/admins/settings
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/updateAntennasGainAndLoss
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/updateFineTimestampKeys
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/updateLocation
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/updateLog
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/updateRfRegion
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
POST /partners/mine/bss/{bsUid}/admins/upgrade
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 201 Created
Successful CREATE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
GET /partners/mine/bss/{bsUid}/ants/{antUid}
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
PUT /partners/mine/bss/{bsUid}/ants/{antUid}
Parameters:
Deprecated: force in query
This parameter must no longer be used: it is useless and ignored.
Request:
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Return Type:
Changed response : 200 OK
Successful UPDATE or RETRIEVE
- Deprecated property
occContext(object)Optimistic Concurrency Control.
This property must no longer be used: it is useless and ignored.
Release 7.3
Initial release